# coding: utf-8

"""
    Magneto API

    Magneto API is the RESTful API for the Rely.io platform.

    The version of the OpenAPI document: v0.0.1
    Contact: contact@rely.io
    Generated by OpenAPI Generator (https://openapi-generator.tech)

    Do not edit the class manually.
"""  # noqa: E501


import unittest

from magneto_api_client.models.cursor_page_scorecard_read import CursorPageScorecardRead

class TestCursorPageScorecardRead(unittest.TestCase):
    """CursorPageScorecardRead unit test stubs"""

    def setUp(self):
        pass

    def tearDown(self):
        pass

    def make_instance(self, include_optional) -> CursorPageScorecardRead:
        """Test CursorPageScorecardRead
            include_optional is a boolean, when False only required
            params are included, when True both required and
            optional params are included """
        # uncomment below to create an instance of `CursorPageScorecardRead`
        """
        model = CursorPageScorecardRead()
        if include_optional:
            return CursorPageScorecardRead(
                items = [
                    magneto_api_client.models.scorecard_read.ScorecardRead(
                        id = 'e', 
                        title = '0', 
                        description = '', 
                        is_active = True, 
                        blueprint_id = 'e', 
                        ranks = [
                            {
                                'key' : null
                                }
                            ], 
                        median_rank = '', 
                        created_at = datetime.datetime.strptime('2013-10-20 19:20:30.00', '%Y-%m-%d %H:%M:%S.%f'), 
                        created_by = 56, 
                        updated_at = datetime.datetime.strptime('2013-10-20 19:20:30.00', '%Y-%m-%d %H:%M:%S.%f'), 
                        updated_by = 56, )
                    ],
                total = 56,
                current_page = '',
                current_page_backwards = '',
                previous_page = '',
                next_page = ''
            )
        else:
            return CursorPageScorecardRead(
                items = [
                    magneto_api_client.models.scorecard_read.ScorecardRead(
                        id = 'e', 
                        title = '0', 
                        description = '', 
                        is_active = True, 
                        blueprint_id = 'e', 
                        ranks = [
                            {
                                'key' : null
                                }
                            ], 
                        median_rank = '', 
                        created_at = datetime.datetime.strptime('2013-10-20 19:20:30.00', '%Y-%m-%d %H:%M:%S.%f'), 
                        created_by = 56, 
                        updated_at = datetime.datetime.strptime('2013-10-20 19:20:30.00', '%Y-%m-%d %H:%M:%S.%f'), 
                        updated_by = 56, )
                    ],
        )
        """

    def testCursorPageScorecardRead(self):
        """Test CursorPageScorecardRead"""
        # inst_req_only = self.make_instance(include_optional=False)
        # inst_req_and_optional = self.make_instance(include_optional=True)

if __name__ == '__main__':
    unittest.main()
